# GET /notifications URL: https://developers.vsee.io/api/push-notification-api/get/notifications Auth: User Token — Requires a user access token from login or SSO. List notifications Retrieve notifications for current user Parameters: - X-ApiToken (header, string, required) — API token - size (query, integer, optional) — Fetch size — how many records to return. Default: 10. - last (query, integer, optional) — Unix timestamp in milliseconds. Only fetch notifications before this time. Use the `mtime` field from previous responses for pagination. Responses: - 200 — Successful response ```json { "data": [ { "id": "570f3f04-f1f4-4805-946e-178d50e631f8", "user_id": "201", "type": "foodlog.comment", "time": "1460616964", "mtime": 14606169641000, "is_new": false, "read": false, "title": "Johnathon Lavon commented on a photo", "image": "http://api.vsee.me/files/index/food/photo/1/250x250?auth_code=EXAMPLE_AUTH_CODE" } ] } ```